package org.norgg.kittelutioning;
import nape.shape.Circle;
import nape.phys.BodyType;

/**
 * ...
 * @author Norgg
 */

class Blood extends Entity
{
	var counter = 100.0;
	
	static var bloods: Array<Blood>;

	public function new(pos) 
	{
		super(pos, 0, BodyType.DYNAMIC);
	}
	
	override function shapes() {
		return [new Circle(Math.random()*2 + 0.5).castShape];
	}
	
	override function color() { return 0xff0000; }
	
	override function update() {
		super.update();
		counter--;
		if (counter <= 0) {
			destroy();
		}
	}
	
	override function init() {
		super.init();
		counter *= Math.random() + 0.5;
		body.velocity.y = -500*Math.random();
		body.velocity.x = Math.random() * 500 - 250;
		if (bloods != null) bloods.push(this);
	}
	
	public static function updateAll() {
		if (bloods == null) {
			bloods = new Array<Blood>();
		}
		for (blood in bloods) blood.update();
	}
	
	public static function cleanAll() {
		for (blood in bloods) blood.destroy();
		bloods = new Array<Blood>();
	}
	
}