package org.norgg.kittelutioning;
import nape.geom.Vec2;
import nape.shape.Circle;
import nape.shape.Polygon;
import nape.shape.Shape;
import nape.phys.BodyType;
import nme.events.MouseEvent;

using Math;
/**
 * ...
 * @author Norgg
 */

class Head extends Entity
{
	public var r: Int;
	var kitten: Kitten;

	public function new(pos:Vec2, r, kitten) {
		super(pos, 0, BodyType.DYNAMIC);
		this.r = r;
		this.kitten = kitten;
	}
	
	override function init() {
		super.init();
		sprite.addEventListener(MouseEvent.MOUSE_DOWN, kitten.mouseDown);
	}

	
	override function color() { return kitten.color(); }
	
	override function shapes() {
		var headMaterial = kitten.material.copy();
		headMaterial.density = 0.01;
		
		var i = -1.4;
		var mult = 1.8;
		
		var ear1: Shape = new Polygon([
			new Vec2(r * i.cos(),  r * i.sin()),
			new Vec2(r * ( i - 0.6).cos(),  r * ( i - 0.6).sin()),
			new Vec2(r * ( i - 0.5).cos() * mult,  r * ( i - 0.5).sin() * mult)
		], headMaterial);

		var ear2: Shape = new Polygon([
			new Vec2(r * ( i - 0.2).cos(), r * ( i - 0.2).sin()),
			new Vec2(r * ( i - 0.8).cos(), r * ( i - 0.8).sin()),
			new Vec2(r * ( i - 0.7).cos() * mult, r * ( i - 0.7).sin() * mult)
		], headMaterial);
		
		var head: Shape = new Circle(r, headMaterial);
		
		return [ear1, ear2, head];
	}
	
}