package org.norgg.kittelutioning;
import nape.constraint.MotorJoint;
import nape.shape.Polygon;
import nape.shape.Shape;
import nape.phys.BodyType;
import nme.events.MouseEvent;

/**
 * ...
 * @author Norgg
 */

class Leg extends Entity 
{
	public var h = 9;
	public var w = 2;
	
	public var motor: MotorJoint;
	
	public var kitten: Kitten;
	
	public function new(pos, kitten) {
		this.kitten = kitten;
		super(pos, 0, BodyType.DYNAMIC);
	} 
	
	override function init() {
		super.init();
		sprite.addEventListener(MouseEvent.MOUSE_DOWN, kitten.mouseDown);
	}
	
	override function shapes() {
		var shape: Shape = new Polygon(Polygon.box(w, h), kitten.material);
		return [shape];
	}
	
	override function color() { return kitten.color(); }
}