package org.norgg.kittelutioning.levels;

import nape.geom.Vec2;
import nape.shape.Circle;
import nape.shape.Polygon;
import nape.shape.Shape;

/**
 * ...
 * @author Norgg
 */

class Level4 extends Level
{
	public function new() 
	{
		super();
	}
	
	override function shapes() {
		var floor = [
			wall(0, 8.5,  5, 4),
			wall(4, 11, 4, 1),
			wall(7, 8.5,  8, 4)
		];
		for (f in floor) f.userData.isGround = true;
		
		var pitWalls = [
			wall(4, 9, 1, 2),
			wall(7, 9, 1, 2)
		];
		for (w in pitWalls) w.userData.isGround = false;
		
		return wallsAndRoof().concat(floor).concat(pitWalls);
	}
	
	override function entrance() { return new Vec2(100, 220); }
	override function exit()     { return new Vec2(650, 395); }
	override function name() 	 { return "The pits"; }
}