package org.norgg.kittelutioning.levels;

import org.norgg.kittelutioning.Main;
import nme.text.TextField;
import nape.geom.Vec2;
import nme.Assets;

/**
 * ...
 * @author Norgg
 */

class Win extends Level
{
	var winLabel: TextField;

	public function new() {
		super();
	}
	
	override function init() {
		super.init();
		
		Assets.getSound("snd/yay.mp3").play();
		
		winLabel = new TextField();
		winLabel.defaultTextFormat = Main.bigFont;
		winLabel.x = 250;
		winLabel.y = 280;
		winLabel.width = 600;
		winLabel.text = "Victory!\nCats have become the dominant species.";
		Main.stage.addChild(winLabel);
	}
	
	override function shapes() {
		var floor = wall(0, 11, 16, 1);
		floor.userData.isGround = true;
		
		return [wallsAndRoof()[2]].concat([floor]);
	}
	
	override function entrance() { return new Vec2(400, 100); }
	override function exit()     { return new Vec2(1000, 1000); }
	override function name() { return ""; }
	
	override function destroy() {
		super.destroy();
		Main.stage.removeChild(winLabel);
	}
	
	override function update() {
		for (kitten in aliveKittens) {
			if (kitten.x > 800 || kitten.x < 0) {
				for (body in kitten.compound.bodies) {
					body.position = entrance();
					body.velocity = new Vec2(0, 0);
				}
			}
		}
		timeLeft = time();
		if (spawnTimer > 10) spawnTimer = 10;
		super.update();
	}
}